#include <stdio.h>
#include "Sensor.h"


Sensor::Sensor(Channel *chan, channelData *data)
: X(chan)
{
	m_data = new channelData(*data);
}

Sensor::~Sensor()
{
	delete m_data;
}

channelData *Sensor::getData()
{
	return m_data;
}

void Sensor::update()
{
	float angle;
	m_chan->read(&angle, MPI_FLOAT, 1);
	m_data->angle = angle;
}
