#ifndef CONSTANTS_H
#define CONSTANTS_H

#define WIDTH				10
#define HEIGHT				2
#define MAX_PROCS			(WIDTH * HEIGHT)

#define MASTER_ID			0

#define HELLO_MSG			0
#define CHANNEL_MSG			1
#define SYNC_MSG			2
#define SENSOR_MSG			3
#define ACTUATOR_MSG		4
#define COMM_CHANNEL_MSG	5

#define SENSOR				1
#define ACTUATOR			2
#define COMM_CHANNEL		3

#define SCALING				2


#define PI					3.14159265

#define FIRST_CHANNEL_TAG	100

#define CHANNEL_AGENT		99

typedef enum {
	LEFT=0, RIGHT=1, UP=2, DOWN=3
} SensorDirection;

#endif // CONSTANTS_Hq
