#ifndef AGENT_H
#define AGENT_H

#include <vector>
#include "X.h"
#include "Sensor.h"
#include "Actuator.h"
#include "CommChannel.h"

using namespace std;

class Agent
{
protected:
	vector<Sensor *> m_sensorList;
	vector<Actuator *> m_actuatorList;
	vector<CommChannel *> m_channelList;

public:
	Agent(vector<Sensor *> sensorList, vector<Actuator *> actuatorList, vector<CommChannel *> channelList);
	~Agent();

	virtual void step() { };
	virtual void run();

};


#endif //AGENT_H
