#ifndef BULLETOBJECT_H
#define BULLETOBJECT_H

#include "GlutStuff.h"
#include "btBulletDynamicsCommon.h"
#include "GLDebugDrawer.h"
#include "Environment.h"

#include "constants.h"

class BulletObject
{

private:
	Environment *m_bullet;

public:

	BulletObject(Environment *bullet);
	~BulletObject() { };

	btRigidBody* localCreateRigidBody (btScalar mass, const btTransform& startTransform, btCollisionShape* shape);

	btRigidBody* createBulletObject(btCollisionShape* colShape, btVector3 position, btScalar mass);

	btRigidBody* createBulletObject(btCollisionShape* colShape, btTransform transform, btScalar mass);
};

#endif //BULLETOBJECT_H
