#ifndef COMMCHANNELPROVIDER_H
#define COMMCHANNELPROVIDER_H

#include <vector>

#include "Channel.h"
#include "XProvider.h"

class CommChannelProvider : public XProvider
{
private:
	int m_peer1, m_peer2, m_dir;

public:
	CommChannelProvider(Channel *chan, int peer1, int peer2, int dir);

	~CommChannelProvider();

	int getPeer();

	void packData(channelData *data, int dir);
};

#endif //COMMCHANNELPROVIDER_H
